Bug 443839 - vgscan reports: 'Device '/dev/sda2' has been left open'
vgscan reports: 'Device '/dev/sda2' has been left open'
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: lvm2 (Show other bugs)
4.7
All Linux
low Severity low
: rc
: ---
Assigned To: Milan Broz
Corey Marthaler
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-23 12:42 EDT by Corey Marthaler
Modified: 2013-02-28 23:06 EST (History)
8 users (show)

See Also:
Fixed In Version: RHBA-2008-0776
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-24 16:08:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Marthaler 2008-04-23 12:42:48 EDT
Description of problem:
[root@grant-02 tmp]# vgscan
  Reading all physical volumes.  This may take a while...
  Found volume group "grant" using metadata type lvm2
  Found volume group "VolGroup00" using metadata type lvm2
  Device '/dev/sda2' has been left open.
  Device '/dev/sda2' has been left open.

[root@grant-02 tmp]# vgscan -vvvv
[...]
#label/label.c:270         Using cached label for /dev/sdb2
#label/label.c:270         Using cached label for /dev/sdd1
#label/label.c:270         Using cached label for /dev/sdd2
#metadata/lv_manip.c:338       Stack mirror:0[0] on LV mirror_mimage_0:0
#metadata/lv_manip.c:47       Adding mirror:0 as an user of mirror_mimage_0
#metadata/lv_manip.c:338       Stack mirror:0[1] on LV mirror_mimage_1:0
#metadata/lv_manip.c:47       Adding mirror:0 as an user of mirror_mimage_1
#metadata/lv_manip.c:47       Adding mirror:0 as an user of mirror_mlog
#format_text/format-text.c:476         Read grant metadata (3) from /dev/sdd1 at
8192 size 2108
#label/label.c:270         Using cached label for /dev/sdb1
#label/label.c:270         Using cached label for /dev/sdb2
#label/label.c:270         Using cached label for /dev/sdd1
#label/label.c:270         Using cached label for /dev/sdd2
#metadata/lv_manip.c:338       Stack mirror:0[0] on LV mirror_mimage_0:0
#metadata/lv_manip.c:47       Adding mirror:0 as an user of mirror_mimage_0
#metadata/lv_manip.c:338       Stack mirror:0[1] on LV mirror_mimage_1:0
#metadata/lv_manip.c:47       Adding mirror:0 as an user of mirror_mimage_1
#metadata/lv_manip.c:47       Adding mirror:0 as an user of mirror_mlog
#format_text/format-text.c:476         Read grant metadata (3) from /dev/sdd2 at
8192 size 2108
#metadata/pv_manip.c:272         /dev/sdb1 0:      0   1280: mirror_mimage_0(0:0)
#metadata/pv_manip.c:272         /dev/sdb1 1:   1280   7438: NULL(0:0)
#metadata/pv_manip.c:272         /dev/sdb2 0:      0   1280: mirror_mimage_1(0:0)
#metadata/pv_manip.c:272         /dev/sdb2 1:   1280   7438: NULL(0:0)
#metadata/pv_manip.c:272         /dev/sdd1 0:      0      1: mirror_mlog(0:0)
#metadata/pv_manip.c:272         /dev/sdd1 1:      1  38651: NULL(0:0)
#metadata/pv_manip.c:272         /dev/sdd2 0:      0  38652: NULL(0:0)
  Found volume group "grant" using metadata type lvm2
#format_text/format-text.c:787         Read volume group grant from
/etc/lvm/backup/grant
#locking/file_locking.c:59       Unlocking /var/lock/lvm/V_grant
#locking/file_locking.c:164       Locking /var/lock/lvm/V_VolGroup00 RB
#toollib.c:491     Finding volume group "VolGroup00"
#device/dev-io.c:439         Opened /dev/sda2 RW O_DIRECT
#device/dev-io.c:134         /dev/sda2: block size is 512 bytes
#label/label.c:160       /dev/sda2: lvm2 label detected
#cache/lvmcache.c:835         lvmcache: /dev/sda2: now in VG #orphans_lvm2
(#orphans_lvm2)
#format_text/format-text.c:1095         /dev/sda2: Found metadata at 6656 size
1117 (in area at 4096 size 192512) for VolGroup00
(1LcVMR-HUOh-cZGJ-4JH7-tuEC-YaLi-ysbKDy)
#cache/lvmcache.c:835         lvmcache: /dev/sda2: now in VG VolGroup00
#cache/lvmcache.c:649         lvmcache: /dev/sda2: setting VolGroup00 VGID to
1LcVMRHUOhcZGJ4JH7tuECYaLiysbKDy
#cache/lvmcache.c:872         lvmcache: /dev/sda2: VG VolGroup00: Set creation
host to localhost.localdomain.
#label/label.c:160       /dev/sdb2: lvm2 label detected
#cache/lvmcache.c:835         lvmcache: /dev/sdb2: now in VG #orphans_lvm2
(#orphans_lvm2)
#format_text/format-text.c:1095         /dev/sdb2: Found metadata at 8192 size
2108 (in area at 4096 size 192512) for grant
(wuLY0p-NWCy-31eu-c5Vp-6slM-s5fR-04djAY)
#cache/lvmcache.c:835         lvmcache: /dev/sdb2: now in VG grant
(wuLY0pNWCy31euc5Vp6slMs5fR04djAY)
#device/dev-io.c:485         Closed /dev/sdb2
#label/label.c:160       /dev/sdb1: lvm2 label detected
#cache/lvmcache.c:835         lvmcache: /dev/sdb1: now in VG #orphans_lvm2
(#orphans_lvm2)
#format_text/format-text.c:1095         /dev/sdb1: Found metadata at 8192 size
2108 (in area at 4096 size 192512) for grant
(wuLY0p-NWCy-31eu-c5Vp-6slM-s5fR-04djAY)
#cache/lvmcache.c:835         lvmcache: /dev/sdb1: now in VG grant
(wuLY0pNWCy31euc5Vp6slMs5fR04djAY)
#device/dev-io.c:485         Closed /dev/sdb1
#label/label.c:160       /dev/sdd1: lvm2 label detected
#cache/lvmcache.c:835         lvmcache: /dev/sdd1: now in VG #orphans_lvm2
(#orphans_lvm2)
#format_text/format-text.c:1095         /dev/sdd1: Found metadata at 8192 size
2108 (in area at 4096 size 192512) for grant
(wuLY0p-NWCy-31eu-c5Vp-6slM-s5fR-04djAY)
#cache/lvmcache.c:835         lvmcache: /dev/sdd1: now in VG grant
(wuLY0pNWCy31euc5Vp6slMs5fR04djAY)
#device/dev-io.c:485         Closed /dev/sdd1
#label/label.c:160       /dev/sdd2: lvm2 label detected
#cache/lvmcache.c:835         lvmcache: /dev/sdd2: now in VG #orphans_lvm2
(#orphans_lvm2)
#format_text/format-text.c:1095         /dev/sdd2: Found metadata at 8192 size
2108 (in area at 4096 size 192512) for grant
(wuLY0p-NWCy-31eu-c5Vp-6slM-s5fR-04djAY)
#cache/lvmcache.c:835         lvmcache: /dev/sdd2: now in VG grant
(wuLY0pNWCy31euc5Vp6slMs5fR04djAY)
#device/dev-io.c:485         Closed /dev/sdd2
#label/label.c:270         Using cached label for /dev/sda2
#format_text/format-text.c:476         Read VolGroup00 metadata (3) from
/dev/sda2 at 6656 size 1117
#metadata/pv_manip.c:272         /dev/sda2 0:      0   2315: LogVol00(0:0)
#metadata/pv_manip.c:272         /dev/sda2 1:   2315     62: LogVol01(0:0)
#metadata/pv_manip.c:272         /dev/sda2 2:   2377      3: NULL(0:0)
  Found volume group "VolGroup00" using metadata type lvm2
#format_text/format-text.c:787         Read volume group VolGroup00 from
/etc/lvm/backup/VolGroup00
#locking/file_locking.c:59       Unlocking /var/lock/lvm/V_VolGroup00
#locking/file_locking.c:59       Unlocking /var/lock/lvm/P_global
  Device '/dev/sda2' has been left open.
  Device '/dev/sda2' has been left open.


Version-Release number of selected component (if applicable):
[root@grant-02 tmp]# rpm -q lvm2
lvm2-2.02.35-1.el4
[root@grant-02 tmp]# rpm -q device-mapper
device-mapper-1.02.25-1.el4


How reproducible:
Everytime
Comment 4 Corey Marthaler 2008-06-27 10:40:09 EDT
This problem has not been seen in the latest 4.7 builds (lvm2-2.02.37-3.el4).
Marking verified.
Comment 6 errata-xmlrpc 2008-07-24 16:08:06 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0776.html

Note You need to log in before you can comment on or make changes to this bug.